Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Interface CounterWatchMBean

All Superinterfaces:
  ThresholdWatchMBean, WatchMBean

All Known Implementing Classes:
  CounterWatch

    public interface CounterWatchMBean

extends ThresholdWatchMBean

Provides a standard MBean to use when administering a CounterWatch using JMX

Method Summary
`void` | `decrement()` Decrement the count by one
`void` | `decrement(long value)` Decrement the count
`long` | `getCounter()` Getter for property counter
`void` | `increment()` Increment the count by one
`void` | `increment(long value)` Increment the count
`void` | `setCounter(long counter)` Setter for property counter

Methods inherited from interface org.jini.rio.watch.ThresholdWatchMBean
`getBreachedCount, getClearedCount, getCurrentHighThreshold, getCurrentLowThreshold, getHighThreshold, getLowThreshold, setCurrentHighThreshold, setCurrentLowThreshold`

Methods inherited from interface org.jini.rio.watch.WatchMBean
`clear, getCalculables, getId, getLastCalculableValue`

Method Detail

### getCounter

    long getCounter()

  Getter for property counter

  Returns:
    Value of property counter.

### setCounter

    void setCounter(long counter)

  Setter for property counter

  Parameters:
    `counter` - New value of property counter.

### increment

    void increment()

  Increment the count by one

### increment

    void increment(long value)

  Increment the count

  Parameters:
    `value` - the amount to increment the counter

### decrement

    void decrement()

  Decrement the count by one

### decrement

    void decrement(long value)

  Decrement the count

  Parameters:
    `value` - the amount to decrement the counter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.